/*
 * P E R U N -- a physically based lightning generator
 * Master's thesis
 * Department of Computer Graphics and Interaction
 * Faculty of Electrical Engineering
 * Czech Technical University in Prague.
 *
 * Supervisor: Ing. Jaroslav Sloup
 *
 * Distributed under the GNU General Public License v3.0
 * */

/**
 * @file
 * @author Richard Dobrichovsky <dobrichovsky@gmail.com>
 * @date May 2016
 * 
 * @brief Definitions of terms used within the whole program.
 *
 * */

/// Eigen solver on regular grid.
#define SOLVER_EIGEN_REGULAR 0
/// Eigen solver on adaptive grid.
#define SOLVER_EIGEN 1
/// Prog2 solver on adaptive grid.
#define SOLVER_PROG2 2
/// CUDA solver on adaptive grid.
#define SOLVER_CUDA 3

/// Maximum number of iterations (growth sites) per frame.
#define ITERATIONS 10000
/// Multiplicator of number of growth sites. Iterations will stop if GROWLIMIT * HEIGHT is exceeded.
#define GROWLIMIT 30

/// Charge deposit along main channel for next frame in animation.
#define DEPOSIT 0.01

/// Minimum quadtree leaf level.
#define LEVEL 0

/// Current frame number.
extern int frameno;