/*
 * P E R U N -- a physically based lightning generator
 * Master's thesis
 * Department of Computer Graphics and Interaction
 * Faculty of Electrical Engineering
 * Czech Technical University in Prague.
 *
 * Supervisor: Ing. Jaroslav Sloup
 *
 * Distributed under the GNU General Public License v3.0
 * */

/**
 * @file
 * @author Richard Dobrichovsky <dobrichovsky@gmail.com>
 * @date May 2016
 * @brief Declarations for ImageFP class.
 * Declarations for the ImageFP class -- for manipulating floating point EXR images..
 * */

#include <omp.h>
#include <cmath>

bool SaveEXR(const float* rgb, int width, int height, const char* outfilename);

/**
 * Class for manipulation with with floating-point images.
 * @brief Class for manipulation with with floating-point images.
 * */

class ImageFP
{
public:
	ImageFP(int width, int height);
	~ImageFP();
	/// Image data
	float * image;
	/// Image width
	int width;
	/// Image height
	int height;
	int convolve1D(float * kernel, int kernelSize);
	void addGlow(float * kernel, int kernelSize, int howManyTimes, float opacity);
};